<li [ngClass]="{'list-group-item': true, 
  'list-group-item-success': PostItem.getColor() === 'green',
  'list-group-item-danger': PostItem.getColor() === 'red'}">
  <i style='float:right; color:dimgray'>{{ PostItem.created_at | date:'dd/MM/yyyy, H:mm' }}</i> 
  <h3 [ngClass]="{'list-group-item-heading': true}" [ngStyle]="{color: PostItem.getColor()}">{{ PostItem.title }}</h3>
  <p [ngClass]="{'list-group-item-text': true}">{{ PostItem.content }}</p>
  <br>
  <button class="btn btn-success" (click)="PostItem.like()">Love it!</button>
  <button class="btn btn-danger" (click)="PostItem.unlike()">Don't love it!</button>
</li>